API Docs / Operations / Connections / Create Connection

Create Connection

POST /tenants/{tenant}/connections

Shares the tenant's CIS details with the contractor one of its contacts stands for. The contractor is emailed the details at the given address (and the tenant is told what happens next). 409 when the tenant has already shared its details with the contact.

Parameters

NameTypeDescription
tenant* path string

The tenant code (the organisation's URL stub)

The tenant code (the organisation's URL stub)

Request Body*

{
  "contact": "string",
  "email": "user@example.com"
}

Responses

201 Created
400 Bad Request
application/problem+json
401 Unauthorized – Invalid or missing API key
403 Forbidden
application/problem+json
404 Not Found
application/problem+json
409 Conflict
application/problem+json